Gda.MetaContext – Gda-6.0 Reference Manual

# MetaContext

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_meta_context_get_type ()" ) ]
[ Compact ]
public class MetaContext
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public MetaContext ()

### Methods:

- public MetaContext copy ()
- public void free ()
- public int get_n_columns ()
- public unowned string get_table ()
- public void set_column (string column, Value value, Connection? cnc)
- public void set_columns (HashTable<string,Value?> columns, Connection? cnc)
- public void set_table (string table)
- public string stringify ()

### Fields:

- public unowned string[] column_names
- public unowned Value[] column_values
- public unowned HashTable<string,Value?> columns
- public int size
- public unowned string table_name